Last Comment Bug 1113689 - add indication on releases page of whether or not a blob is pointed at by a rule
: add indication on releases page of whether or not a blob is pointed at by a rule
Status: RESOLVED FIXED
[lang=js]
:
Product: Release Engineering
Classification: Other
Component: Balrog: Frontend (show other bugs)
: unspecified
: All All
-- normal (vote)
: ---
Assigned To: Njira
: Ben Hearsum (:bhearsum)
:
Mentors: Ben Hearsum (:bhearsum)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-19 08:10 PST by Ben Hearsum (:bhearsum)
Modified: 2016-09-12 06:55 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Ben Hearsum (:bhearsum) 2014-12-19 08:10:00 PST

    
Comment 1 User image Ben Hearsum (:bhearsum) 2016-03-22 10:55:18 PDT
We should look at rules.mapping and rules.whitelist for this, since either can point at at a Release.
Comment 2 User image Ben Hearsum (:bhearsum) 2016-03-22 11:15:41 PDT
Njira is working on this; thanks Njira!
Comment 3 User image [github robot] 2016-04-01 06:50:10 PDT
Commit pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/555430cf557edef6f4e5593807a6d022f3076e5c
bug 1113689: return associated rule ids along with release info. r=bhearsum (closes #66
Comment 4 User image Nick Thomas [:nthomas] 2016-04-03 17:28:06 PDT
I saw this today and thought it was cool. There is one little gotcha if you're working with multiple tabs - updating rules in one tab has no effect on the releases view so it can get stale. That may be WONTFIX because there is no good way to have communication between the two, but FYI.
Comment 5 User image Ben Hearsum (:bhearsum) 2016-04-05 06:41:05 PDT
(In reply to Nick Thomas [:nthomas] from comment #4)
> I saw this today and thought it was cool. There is one little gotcha if
> you're working with multiple tabs - updating rules in one tab has no effect
> on the releases view so it can get stale. That may be WONTFIX because there
> is no good way to have communication between the two, but FYI.

That's a pain, but probably a larger issue. We'd need the UI+backend to support HTTP PUSH to fix this, I think :(.
Comment 6 User image Ben Hearsum (:bhearsum) 2016-04-13 08:42:36 PDT
This is in production now. Thank you very much Njira!!

(In reply to Nick Thomas [:nthomas] from comment #4)
> I saw this today and thought it was cool. There is one little gotcha if
> you're working with multiple tabs - updating rules in one tab has no effect
> on the releases view so it can get stale. That may be WONTFIX because there
> is no good way to have communication between the two, but FYI.

I filed bug 1264324 to track some improvement to this.
Comment 7 User image [github robot] 2016-09-12 06:55:17 PDT
Commit pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/c277de84b2e8fd9cf3b963705affe0ad46e18904
[balrog-ui] bug 1113689: show rules that reference releases on releases page. r=bhearsum (closes #21)

Note You need to log in before you can comment on or make changes to this bug.